package com.steerinfo.baseinfo.appverificationcode.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="验证码匹配表")
public class AppVerificationCode implements IBasePO<String> {
    /**
     * 主键(INFO_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String infoId;

    /**
     * 电话号码(PHONE_NO,VARCHAR,11)
     */
    @ApiModelProperty(value="电话号码",required=true)
    private String phoneNo;

    /**
     * 验证码(CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="验证码",required=false)
    private String code;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 过期时间(EXPIRATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="过期时间",required=false)
    private Date expirationTime;

    /**
     * 验证码有效状态（0：作废，1：有效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="验证码有效状态（0：作废，1：有效）",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.infoId;
    }

    @Override
    public void setId(String infoId) {
        this.infoId = infoId == null ? null : infoId.trim();
    }

    public String getInfoId() {
        return infoId;
    }

    public void setInfoId(String infoId) {
        this.infoId = infoId == null ? null : infoId.trim();
    }

    public String getPhoneNo() {
        return phoneNo;
    }

    public void setPhoneNo(String phoneNo) {
        this.phoneNo = phoneNo == null ? null : phoneNo.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(Date expirationTime) {
        this.expirationTime = expirationTime;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", infoId=").append(infoId);
        sb.append(", phoneNo=").append(phoneNo);
        sb.append(", code=").append(code);
        sb.append(", createTime=").append(createTime);
        sb.append(", expirationTime=").append(expirationTime);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}